(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     10241,        312]
NotebookOptionsPosition[      8891,        269]
NotebookOutlinePosition[      9234,        284]
CellTagsIndexPosition[      9191,        281]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"**", 
  RowBox[{"--", " ", 
   RowBox[{"Initialization", " ", "--"}]}], "**"}]], "Input",
 CellChangeTimes->{{3.6257329896162186`*^9, 3.6257330089252462`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "NetLink`"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.6250202383025055`*^9, 3.62502037998545*^9}, {
   3.6252067431059575`*^9, 3.6252067924467797`*^9}, 3.6252068307529707`*^9, {
   3.6252074542896347`*^9, 3.62520745525369*^9}, 3.6257328203709764`*^9}],

Cell[BoxData[
 RowBox[{"InstallNET", "[", "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.6250202383025055`*^9, 3.6250203579479065`*^9}, 
   3.6257328203709764`*^9}],

Cell[BoxData[
 RowBox[{"LinkObject", "[", 
  RowBox[{"\<\"C:\\\\Program Files\\\\Wolfram \
Research\\\\Mathematica\\\\9.0\\\\SystemFiles\\\\Links\\\\NETLink\\\\\
InstallableNET.exe\"\>", ",", "95", ",", "4"}], "]"}]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.6250203847529583`*^9, 3.625206940802265*^9, {3.6257328203709764`*^9, 
   3.6257328253549843`*^9}}],

Cell[BoxData[
 RowBox[{"LoadNETAssembly", "[", 
  "\"\<c:\\\\temp\\\\MmaWord\\\\MathematicaWordHelper.dll\>\"", 
  "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.6250202383025055`*^9, 3.625020363216917*^9}, {
   3.625020401104487*^9, 3.6250204048569937`*^9}, {3.6252068343131742`*^9, 
   3.625206834538187*^9}, 3.6257328203709764`*^9}],

Cell[BoxData[
 RowBox[{"NETAssembly", "[", 
  RowBox[{"\<\"MathematicaWordHelper\"\>", ",", "1"}], "]"}]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{
  3.625020405507495*^9, 3.625206940821266*^9, {3.6257328203709764`*^9, 
   3.625732825364984*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"obj", "=", 
   RowBox[{"NETNew", "[", "\"\<MathematicaWordHelper.WordHelper\>\"", "]"}]}],
   ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.6250202383025055`*^9, 3.6250203681444263`*^9}, {
   3.625020431727573*^9, 3.6250204434125957`*^9}, 3.6257328203709764`*^9, 
   3.6257329738661957`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"**", 
  RowBox[{"--", "--"}], "**"}]], "Input",
 CellChangeTimes->{{3.6252068476159353`*^9, 3.6252068492170267`*^9}, {
  3.625732979442204*^9, 3.6257329820422077`*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{
  "Get", " ", "Words", " ", "from", " ", "MS", " ", "Word", " ", "Document"}],
   "Subtitle"]], "Input"],

Cell[BoxData[
 RowBox[{"s", " ", "=", " ", 
  RowBox[{"obj", "@", 
   RowBox[{
   "GetWordDocumentText", "[", 
    "\"\<C:\\\\temp\\\\MmaWord\\\\WordDocWithFormulas.docx\>\"", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6250202383025055`*^9, 3.6250203681444263`*^9}}],

Cell[BoxData["\"\<ACot(-0.644) * (ASin(.4) - ACos(0.2422) / ACsc(5.788))\>\""], "Input",
 CellChangeTimes->{{3.6257328564880285`*^9, 3.625732863910039*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{
  "Get", " ", "Formula", " ", "from", " ", "MS", " ", "Word", " ", 
   "Document"}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.625206802914378*^9, 3.6252068155701027`*^9}}],

Cell[BoxData[
 RowBox[{"s1", " ", "=", " ", 
  RowBox[{"obj", "@", 
   RowBox[{"GetWordDocumentAsMathML", "[", 
    RowBox[{
    "\"\<C:\\\\temp\\\\MmaWord\\\\FormulaExamples.docx\>\"", ",", " ", "15"}],
     "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.6252068264227233`*^9, {3.6252068590535893`*^9, 3.625206865100935*^9}, 
   3.625206981130572*^9, {3.625207028550284*^9, 3.625207039270897*^9}, 
   3.6252071186884394`*^9, {3.6252071673242216`*^9, 3.625207169283334*^9}, {
   3.625732830729992*^9, 3.6257328537180243`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ImportString", "[", 
   RowBox[{
    RowBox[{"StringReplace", "[", 
     RowBox[{"s1", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<mml:\>\"", "\[Rule]", "\"\<\>\""}], ",", 
        RowBox[{
         RowBox[{"Except", "[", 
          RowBox[{"StartOfString", ",", "\"\<<\>\""}], "]"}], "\[Rule]", 
         "\"\<\\n<\>\""}]}], "}"}]}], "]"}], ",", "\"\<MathML\>\""}], "]"}], "//", 
  RowBox[{
   RowBox[{"ToExpression", "[", 
    RowBox[{"#1", ",", "StandardForm", ",", "HoldForm"}], "]"}], 
   "&"}]}]], "Input",
 CellChangeTimes->{
  3.625207074513913*^9, {3.6252071199965143`*^9, 3.625207124857793*^9}, 
   3.625732868210045*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"ccc", "-", "1"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"b", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"d", " ", "d", " ", "d"}], ")"}], "k"]}], "-", "1"}], "=", 
    RowBox[{
     RowBox[{"b", " ", "x"}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "b"}], "\[PlusMinus]", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["b", "2"], "-", 
            RowBox[{"4", " ", "a", " ", "c"}]}]]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "+", 
           RowBox[{"a", " ", "a", " ", "a"}]}], ")"}], "n"]}], 
       RowBox[{"2", " ", "a"}]], "=", 
      RowBox[{
       RowBox[{
        UnderoverscriptBox["\[Sum]", 
         RowBox[{"k", "=", "0"}], "n"], 
        FractionBox[
         RowBox[{"n", " ", 
          SuperscriptBox["x", "k"], " ", 
          SuperscriptBox["a", 
           RowBox[{"n", "-", "k"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "+", "x"}], ")"}], "n"]}], "k"]}], "=", 
       RowBox[{
        RowBox[{"1", "+", 
         FractionBox[
          RowBox[{"n", " ", "x"}], 
          RowBox[{"1", "!"}]], "+", 
         FractionBox[
          RowBox[{
           RowBox[{"n", "[", 
            RowBox[{"n", "-", "1"}], "]"}], " ", 
           SuperscriptBox["x", "2"]}], 
          RowBox[{"2", "!"}]], "+", 
         RowBox[{"\[Ellipsis]", " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"a", "+", "b"}], "]"}]}]}], "=", 
        RowBox[{
         RowBox[{
          RowBox[{"Sin", "[", "a", "]"}], " ", 
          RowBox[{"Cos", "[", "b", "]"}]}], "+", 
         RowBox[{
          RowBox[{"Cos", "[", "a", "]"}], " ", 
          RowBox[{"Sin", "[", "b", "]"}]}]}]}]}]}]}]}]}],
  HoldForm]], "Output",
 CellChangeTimes->{{3.625732884234069*^9, 3.6257329011670923`*^9}}]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{"Get", " ", 
   RowBox[{"Formula", "'"}], "s", " ", "from", " ", "MS", " ", "Word", " ", 
   "Document"}], "Subtitle"]], "Input",
 CellChangeTimes->{{3.6252068174422092`*^9, 3.625206818994298*^9}}],

Cell[BoxData[
 RowBox[{"s2", " ", "=", " ", 
  RowBox[{"obj", "@", 
   RowBox[{"GetWordDocumentAsMathMLFormulas", "[", 
    RowBox[{
    "\"\<C:\\\\temp\\\\MmaWord\\\\FormulaExamples.docx\>\"", ",", 
     "\"\<c:\\\\Program Files\\\\Microsoft Office\\\\Office15\\\\OMML2MML.XSL\
\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6252071749846597`*^9, 3.625207221299309*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ImportString", "[", 
   RowBox[{
    RowBox[{"StringReplace", "[", 
     RowBox[{
      RowBox[{"Last", "[", "s2", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<mml:\>\"", "\[Rule]", "\"\<\>\""}], ",", 
        RowBox[{
         RowBox[{"Except", "[", 
          RowBox[{"StartOfString", ",", "\"\<<\>\""}], "]"}], "\[Rule]", 
         "\"\<\\n<\>\""}]}], "}"}]}], "]"}], ",", "\"\<MathML\>\""}], "]"}], "//", 
  RowBox[{
   RowBox[{"ToExpression", "[", 
    RowBox[{"#1", ",", "StandardForm", ",", "HoldForm"}], "]"}], 
   "&"}]}]], "Input",
 CellChangeTimes->{{3.625207343458296*^9, 3.6252073685917335`*^9}, {
   3.6252074318553514`*^9, 3.6252074383827252`*^9}, {3.6252077641943607`*^9, 
   3.625207770196704*^9}, 3.6257329277121305`*^9, {3.62573296262418*^9, 
   3.6257329633241816`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"a", "+", "b"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", "a", "]"}], " ", 
     RowBox[{"Cos", "[", "b", "]"}]}], "+", 
    RowBox[{
     RowBox[{"Cos", "[", "a", "]"}], " ", 
     RowBox[{"Sin", "[", "b", "]"}]}]}]}],
  HoldForm]], "Output",
 CellChangeTimes->{{3.625732917692116*^9, 3.6257329288321323`*^9}, 
   3.625732964674183*^9}]
}, Open  ]]
},
WindowSize->{1344, 633},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 183, 4, 31, "Input"],
Cell[CellGroupData[{
Cell[765, 28, 325, 5, 31, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1093, 35, 209, 4, 31, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1305, 41, 403, 8, 31, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1711, 51, 380, 7, 31, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[2094, 60, 288, 6, 31, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[2385, 68, 372, 8, 31, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[2772, 79, 192, 4, 31, "Input"],
Cell[2967, 85, 140, 4, 49, "Input"],
Cell[3110, 91, 271, 7, 31, "Input"],
Cell[3384, 100, 156, 1, 31, InheritFromParent],
Cell[3543, 103, 211, 5, 49, "Input"],
Cell[3757, 110, 524, 11, 31, "Input"],
Cell[CellGroupData[{
Cell[4306, 125, 685, 19, 31, "Input"],
Cell[4994, 146, 1948, 61, 63, "Output"]
}, Open  ]],
Cell[6957, 210, 232, 5, 49, "Input"],
Cell[7192, 217, 376, 8, 31, "Input"],
Cell[CellGroupData[{
Cell[7593, 229, 850, 21, 31, "Input"],
Cell[8446, 252, 429, 14, 31, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
